> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/akash-akt/rest-api/mint-inflation.md).

# /cosmos/mint/v1beta1/inflation - Akash

Example code for the cosmos/mint/v1beta1/inflation REST method. Complete guide on how to use cosmos/mint/v1beta1/inflation REST method in GetBlock Web3 documentation.

Returns the current minting inflation rate.

## Endpoint

```http
GET /cosmos/mint/v1beta1/inflation
```

## Example

{% code overflow="wrap" %}

```bash
export AKASH_REST=https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/

curl "${AKASH_REST}cosmos/mint/v1beta1/inflation"
```

{% endcode %}

## Response

```json
{
    "inflation": "0.040000000000000000"
}
```

## Response Fields

| Field     | Type   | Description           |
| --------- | ------ | --------------------- |
| inflation | string | Annual inflation rate |

## Use Cases

* **Tokenomics**: Read the inflation rate

## Error Handling

| Error                     | Message       | Description                                       |
| ------------------------- | ------------- | ------------------------------------------------- |
| 400 / Bad request         | Bad request   | A parameter was invalid                           |
| 403 / RBAC: access denied | Access denied | The GetBlock access token is missing or incorrect |
